package com.sooka.component.beetl.tag.cms;

import java.util.List;
import java.util.Map;

import org.beetl.core.GeneralVarTagBinding;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageInfo;
import com.sooka.common.utils.CmsUtil;
import com.sooka.common.utils.StrUtil;
import com.sooka.module.web.cms.service.DbtService;
import com.sooka.module.web.cms.service.SiteService;

/**
 * Description:代表团列表标签
 *
 *
 * @create 2019-07-01
 **/
@Service
@Scope("prototype")
public class DbtListTag extends GeneralVarTagBinding{


    @Autowired
    private SiteService siteService;

    @Value("${system.http.protocol}")
    private String httpProtocol;

    @Value("${system.site.subfix}")
    private String siteSubfix;

    @Value("${system.http.host}")
    private String httpHost;

    @Value("${system.site.prefix}")
    private String sitePrefix;
    
    @Autowired
    private DbtService dbtService;
    
    @Override
    public void render() {
      
        PageInfo<Map> pageInfo = dbtService.selectByTCmsContentDbtAll();
        if(CmsUtil.isNullOrEmpty(pageInfo.getList())) {
            return;
        }
        this.wrapRender(pageInfo.getList());

    }
    
    private void wrapRender(List<Map> dbtList) {
        int i = 1;
        for (Map dbt : dbtList) {
            this.binds(dbt);
            this.doBodyRender();
            i++;
        }

    }
}
