package com.sooka.component.beetl.tag.cms;

import java.util.List;
import java.util.Map;

import com.sooka.mybatis.model.TCmsContentDbtUser;
import org.beetl.core.GeneralVarTagBinding;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageInfo;
import com.sooka.common.utils.CmsUtil;
import com.sooka.module.web.cms.service.DbtUserService;
import com.sooka.module.web.cms.service.SiteService;


/**
 * Description:代表团成员列表标签
 *
 *
 * @create 2019-07-01
 **/
@Service
@Scope("prototype")
public class DbtUserListTag extends GeneralVarTagBinding {

	
	
	 @Autowired
	    private SiteService siteService;

	    @Value("${system.http.protocol}")
	    private String httpProtocol;

	    @Value("${system.site.subfix}")
	    private String siteSubfix;

	    @Value("${system.http.host}")
	    private String httpHost;

	    @Value("${system.site.prefix}")
	    private String sitePrefix;
	    
	    @Autowired
	    private DbtUserService dbtUserService;
	    
	    
	    /**
	     * c=成员列表标签
	     *
	     * dbtId:代表团id
	     *
	     */
	    @Override
	    public void render() {
			Integer dbtType = Integer.parseInt((String) this.getAttributeValue("dbt_type"));
	    	//Integer dbtId = Integer.parseInt((String) this.getAttributeValue("titleLen"));
	         //PageInfo<Map> pageInfo = dbtUserService.selectByTCmsContentDbtUserAll(dbtType);
			PageInfo<Map> pageInfo = dbtUserService.dbtUserListA(dbtType);
				if(CmsUtil.isNullOrEmpty(pageInfo.getList())) {
					return;
				}
				this.wrapRender(pageInfo.getList());
			}

	    private void wrapRender(List<Map> dbtUserList) {
	        int i = 1;
	        for (Map dbtUser  : dbtUserList) {
	            this.binds(dbtUser);
	            this.doBodyRender();
	            i++;
	        }

	    }
	    
}
