package com.sooka.module.web.cms;


import com.github.pagehelper.PageInfo;
import com.sooka.component.lucene.util.IndexObject;
import com.sooka.module.web.cms.service.ContentService;
import com.sooka.module.web.cms.vo.TCmsContentVo;
import com.sooka.mybatis.mapper.TCmsMedicCountMapper;
import com.sooka.mybatis.model.TCmsMediaCount;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.ArrayList;
import java.util.List;

@Controller
@RequestMapping("/cms/dh")
public class DhController {
    @Autowired
    private ContentService contentService;
    @Autowired
    private TCmsMedicCountMapper medicCountMapper;
    /**
     * 信用动态
     * @return
     */
    @RequestMapping("/selectXydt")
    public String selectLfgz(@RequestParam(value = "pageCurrent",defaultValue = "1") Integer pageNumber,
                             @RequestParam(value = "pageSize",defaultValue = "10") Integer pageSize, Long category_id,Model model){
        TCmsContentVo c= new TCmsContentVo();
        c.setCategoryId(category_id);
        PageInfo p = contentService.page(pageNumber,pageSize,c);
        TCmsMediaCount tCmsMediaCount=  medicCountMapper.selectByCount();
        model.addAttribute("sl",tCmsMediaCount.getZl());
        List<IndexObject> list;
        if(p!=null){
            list = p.getList();
            model.addAttribute("model",list);
            model.addAttribute("total",p.getTotal());//总数
            model.addAttribute("pagesize",p.getPageSize());//页数
            model.addAttribute("pagenum",p.getPageNum());
            model.addAttribute("category_id",category_id);
        }else {
            list = new ArrayList<>();
            model.addAttribute("model",list);
            model.addAttribute("total",1);//总数
            model.addAttribute("pagesize",1);//页数
            model.addAttribute("pagenum",1);
            model.addAttribute("category_id",category_id);
        }
        return "www/xylh/xydt";
    }

    /**
     * 政策法规
     * @return
     */
    @RequestMapping("/selectZcfg")
    public String selectJdgz(@RequestParam(value = "pageCurrent",defaultValue = "1") Integer pageNumber,
                             @RequestParam(value = "pageSize",defaultValue = "10") Integer pageSize, Long category_id,Model model){
        TCmsContentVo c= new TCmsContentVo();
        c.setCategoryId(category_id);
        PageInfo p = contentService.page(pageNumber,pageSize,c);
        TCmsMediaCount tCmsMediaCount=  medicCountMapper.selectByCount();
        model.addAttribute("sl",tCmsMediaCount.getZl());
        List<IndexObject> list;
        if(p!=null){
            list = p.getList();
            model.addAttribute("model",list);
            model.addAttribute("total",p.getTotal());//总数
            model.addAttribute("pagesize",p.getPageSize());//页数
            model.addAttribute("pagenum",p.getPageNum());
            model.addAttribute("category_id",category_id);
        }else {
            list = new ArrayList<>();
            model.addAttribute("model",list);
            model.addAttribute("total",1);//总数
            model.addAttribute("pagesize",1);//页数
            model.addAttribute("pagenum",1);
            model.addAttribute("category_id",category_id);
        }
        return "www/xylh/zcfg";
    }

    /**
     * 专项治理
     * @return
     */
    @RequestMapping("/selectZxzl")
    public String selectZxzl(@RequestParam(value = "pageCurrent",defaultValue = "1") Integer pageNumber,
                             @RequestParam(value = "pageSize",defaultValue = "10") Integer pageSize, Long category_id,Model model){
        TCmsContentVo c= new TCmsContentVo();
        c.setCategoryId(category_id);
        PageInfo p = contentService.page(pageNumber,pageSize,c);
        TCmsMediaCount tCmsMediaCount=  medicCountMapper.selectByCount();
        model.addAttribute("sl",tCmsMediaCount.getZl());
        List<IndexObject> list;
        if(p!=null){
            list = p.getList();
            model.addAttribute("model",list);
            model.addAttribute("total",p.getTotal());//总数
            model.addAttribute("pagesize",p.getPageSize());//页数
            model.addAttribute("pagenum",p.getPageNum());
            model.addAttribute("category_id",category_id);
        }else {
            list = new ArrayList<>();
            model.addAttribute("model",list);
            model.addAttribute("total",1);//总数
            model.addAttribute("pagesize",1);//页数
            model.addAttribute("pagenum",1);
            model.addAttribute("category_id",category_id);
        }
        return "www/xylh/zxzl";
    }

    /**
     * 典型案例
     * @return
     */
    @RequestMapping("/selectDxal")
    public String selectDxal(@RequestParam(value = "pageCurrent",defaultValue = "1") Integer pageNumber,
                             @RequestParam(value = "pageSize",defaultValue = "10") Integer pageSize, Long category_id,Model model){
        TCmsContentVo c= new TCmsContentVo();
        c.setCategoryId(category_id);
        PageInfo p = contentService.page(pageNumber,pageSize,c);
        TCmsMediaCount tCmsMediaCount=  medicCountMapper.selectByCount();
        model.addAttribute("sl",tCmsMediaCount.getZl());
        List<IndexObject> list;
        if(p!=null){
            list = p.getList();
            model.addAttribute("model",list);
            model.addAttribute("total",p.getTotal());//总数
            model.addAttribute("pagesize",p.getPageSize());//页数
            model.addAttribute("pagenum",p.getPageNum());
            model.addAttribute("category_id",category_id);
        }else {
            list = new ArrayList<>();
            model.addAttribute("model",list);
            model.addAttribute("total",1);//总数
            model.addAttribute("pagesize",1);//页数
            model.addAttribute("pagenum",1);
            model.addAttribute("category_id",category_id);
        }
        return "www/xylh/dxal";
    }

    /**
     * 公示通知
     * @return
     */
    @RequestMapping("/selectGstz")
    public String selectGstz(@RequestParam(value = "pageCurrent",defaultValue = "1") Integer pageNumber,
                             @RequestParam(value = "pageSize",defaultValue = "10") Integer pageSize, Long category_id,Model model){
        TCmsContentVo c= new TCmsContentVo();
        c.setCategoryId(category_id);
        PageInfo p = contentService.page(pageNumber,pageSize,c);
        TCmsMediaCount tCmsMediaCount=  medicCountMapper.selectByCount();
        model.addAttribute("sl",tCmsMediaCount.getZl());
        List<IndexObject> list;
        if(p!=null){
            list = p.getList();
            model.addAttribute("model",list);
            model.addAttribute("total",p.getTotal());//总数
            model.addAttribute("pagesize",p.getPageSize());//页数
            model.addAttribute("pagenum",p.getPageNum());
            model.addAttribute("category_id",category_id);
        }else {
            list = new ArrayList<>();
            model.addAttribute("model",list);
            model.addAttribute("total",1);//总数
            model.addAttribute("pagesize",1);//页数
            model.addAttribute("pagenum",1);
            model.addAttribute("category_id",category_id);
        }
        return "www/xylh/gstz";
    }

    /**
     * 信用研究
     * @return
     */
    @RequestMapping("/selectXyyj")
    public String selectXyyj(@RequestParam(value = "pageCurrent",defaultValue = "1") Integer pageNumber,
                             @RequestParam(value = "pageSize",defaultValue = "10") Integer pageSize, Long category_id,Model model){
        TCmsContentVo c= new TCmsContentVo();
        c.setCategoryId(category_id);
        PageInfo p = contentService.page(pageNumber,pageSize,c);
        TCmsMediaCount tCmsMediaCount=  medicCountMapper.selectByCount();
        model.addAttribute("sl",tCmsMediaCount.getZl());
        List<IndexObject> list;
        if(p!=null){
            list = p.getList();
            model.addAttribute("model",list);
            model.addAttribute("total",p.getTotal());//总数
            model.addAttribute("pagesize",p.getPageSize());//页数
            model.addAttribute("pagenum",p.getPageNum());
            model.addAttribute("category_id",category_id);
        }else {
            list = new ArrayList<>();
            model.addAttribute("model",list);
            model.addAttribute("total",1);//总数
            model.addAttribute("pagesize",1);//页数
            model.addAttribute("pagenum",1);
            model.addAttribute("category_id",category_id);
        }
        return "www/xylh/xyyj";
    }
    /**
     * 资料下载
     * @return
     */
    @RequestMapping("/selectZlxz")
    public String selectZlxz(@RequestParam(value = "pageCurrent",defaultValue = "1") Integer pageNumber,
                             @RequestParam(value = "pageSize",defaultValue = "10") Integer pageSize, Long category_id,Model model){
        TCmsContentVo c= new TCmsContentVo();
        c.setCategoryId(category_id);
        PageInfo p = contentService.page(pageNumber,pageSize,c);
        TCmsMediaCount tCmsMediaCount=  medicCountMapper.selectByCount();
        model.addAttribute("sl",tCmsMediaCount.getZl());
        List<IndexObject> list;
        if(p!=null){
            list = p.getList();
            model.addAttribute("model",list);
            model.addAttribute("total",p.getTotal());//总数
            model.addAttribute("pagesize",p.getPageSize());//页数
            model.addAttribute("pagenum",p.getPageNum());
            model.addAttribute("category_id",category_id);
        }else {
            list = new ArrayList<>();
            model.addAttribute("model",list);
            model.addAttribute("total",1);//总数
            model.addAttribute("pagesize",1);//页数
            model.addAttribute("pagenum",1);
            model.addAttribute("category_id",category_id);
        }
        return "www/xylh/zlxz";
    }

    /**
     * 标准规范
     * @return
     */
    @RequestMapping("/selectBzgf")
    public String selectBzgf(@RequestParam(value = "pageCurrent",defaultValue = "1") Integer pageNumber,
                             @RequestParam(value = "pageSize",defaultValue = "10") Integer pageSize, Long category_id,Model model){
        TCmsContentVo c= new TCmsContentVo();
        c.setCategoryId(category_id);
        PageInfo p = contentService.page(pageNumber,pageSize,c);
        TCmsMediaCount tCmsMediaCount=  medicCountMapper.selectByCount();
        model.addAttribute("sl",tCmsMediaCount.getZl());
        List<IndexObject> list;
        if(p!=null){
            list = p.getList();
            model.addAttribute("model",list);
            model.addAttribute("total",p.getTotal());//总数
            model.addAttribute("pagesize",p.getPageSize());//页数
            model.addAttribute("pagenum",p.getPageNum());
            model.addAttribute("category_id",category_id);
        }else {
            list = new ArrayList<>();
            model.addAttribute("model",list);
            model.addAttribute("total",1);//总数
            model.addAttribute("pagesize",1);//页数
            model.addAttribute("pagenum",1);
            model.addAttribute("category_id",category_id);
        }
        return "www/xylh/bzgf";
    }

    @RequestMapping("/selectZzjg")
    public String selectZzjg(@RequestParam(value = "pageCurrent",defaultValue = "1") Integer pageNumber,
                             @RequestParam(value = "pageSize",defaultValue = "10") Integer pageSize, Long category_id,Model model){
        TCmsContentVo c= new TCmsContentVo();
        c.setCategoryId(category_id);
        PageInfo p = contentService.page(pageNumber,pageSize,c);
        TCmsMediaCount tCmsMediaCount=  medicCountMapper.selectByCount();
        model.addAttribute("sl",tCmsMediaCount.getZl());
        List<IndexObject> list;
        if(p!=null){
            list = p.getList();
            model.addAttribute("model",list);
            model.addAttribute("total",p.getTotal());//总数
            model.addAttribute("pagesize",p.getPageSize());//页数
            model.addAttribute("pagenum",p.getPageNum());
            model.addAttribute("category_id",category_id);
        }else {
            list = new ArrayList<>();
            model.addAttribute("model",list);
            model.addAttribute("total",1);//总数
            model.addAttribute("pagesize",1);//页数
            model.addAttribute("pagenum",1);
            model.addAttribute("category_id",category_id);
        }
        if(category_id == 1023){
            return "www/xylh/zzjgt";
        }
        return "www/xylh/zzjg";
    }
    /**
     * 名单事迹
     * @return
     */
    @RequestMapping("/selectMdsj")
    public String selectMdsj(@RequestParam(value = "pageCurrent",defaultValue = "1") Integer pageNumber,
                             @RequestParam(value = "pageSize",defaultValue = "10") Integer pageSize, Long category_id,Model model){
        TCmsContentVo c= new TCmsContentVo();
        c.setCategoryId(category_id);
        PageInfo p = contentService.page(pageNumber,pageSize,c);
        TCmsMediaCount tCmsMediaCount=  medicCountMapper.selectByCount();
        model.addAttribute("sl",tCmsMediaCount.getZl());
        List<IndexObject> list;
        if(p!=null){
            list = p.getList();
            model.addAttribute("model",list);
            model.addAttribute("total",p.getTotal());//总数
            model.addAttribute("pagesize",p.getPageSize());//页数
            model.addAttribute("pagenum",p.getPageNum());
            model.addAttribute("category_id",category_id);
        }else {
            list = new ArrayList<>();
            model.addAttribute("model",list);
            model.addAttribute("total",1);//总数
            model.addAttribute("pagesize",1);//页数
            model.addAttribute("pagenum",1);
            model.addAttribute("category_id",category_id);
        }
        if(category_id == 1015){
            return "www/xylh/hrmd";
        }
        if(category_id == 1016){
            return "www/xylh/hrsj";
        }
        if(category_id == 1018){
            return "www/xylh/jlddmfsj";
        }
        if(category_id == 1020){
            return "www/xylh/qgddmfsj";
        }
        if(category_id == 1017){
            return "www/xylh/jlhrb";
        }
        if(category_id == 1019){
            return "www/xylh/jlhrb";
        }
        return "www/xylh/mdsj";
    }

    /**
     * 联合奖惩
     * @return
     */
    @RequestMapping("/selectLhjc")
    public String selectLhjc(@RequestParam(value = "pageCurrent",defaultValue = "1") Integer pageNumber,
                             @RequestParam(value = "pageSize",defaultValue = "10") Integer pageSize, Long category_id,Model model){
        TCmsContentVo c= new TCmsContentVo();
        c.setCategoryId(category_id);
        PageInfo p = contentService.page(pageNumber,pageSize,c);
        TCmsMediaCount tCmsMediaCount=  medicCountMapper.selectByCount();
        model.addAttribute("sl",tCmsMediaCount.getZl());
        List<IndexObject> list;
        if(p!=null){
            list = p.getList();
            model.addAttribute("model",list);
            model.addAttribute("total",p.getTotal());//总数
            model.addAttribute("pagesize",p.getPageSize());//页数
            model.addAttribute("pagenum",p.getPageNum());
            model.addAttribute("category_id",category_id);
        }else {
            list = new ArrayList<>();
            model.addAttribute("model",list);
            model.addAttribute("total",1);//总数
            model.addAttribute("pagesize",1);//页数
            model.addAttribute("pagenum",1);
            model.addAttribute("category_id",category_id);
        }
        return "www/xylh/lhjc_list";
    }


}
