package com.sooka.module.web.cms;
import com.github.pagehelper.PageInfo;
import com.sooka.common.utils.ControllerUtil;
import com.sooka.common.utils.HttpRequest;
import com.sooka.component.lucene.util.IndexObject;
import com.sooka.module.web.cms.service.PjService;
import com.sooka.module.web.cms.service.ZzxdService;
import com.sooka.module.web.cms.vo.TCmsContentVo;
import com.sooka.mybatis.model.TCmsMediaCount;
import com.sooka.mybatis.model.TCmsPj;
import com.sooka.mybatis.model.TCmsZzxd;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Controller
@RequestMapping("/cms/pj")
public class PjController {
    @Autowired
    private PjService pjService;

    /**
     * 评价列表
     * @return
     */
    @RequestMapping("/selectPj")
    public String selectLfgz(@RequestParam(value = "pageCurrent",defaultValue = "1") Integer pageNumber,
                             @RequestParam(value = "pageSize",defaultValue = "10") Integer pageSize, TCmsPj pj,HttpServletRequest request, Model model){
        PageInfo p = pjService.page(pageNumber,pageSize,pj);

        List<IndexObject> list;
        if(p!=null){
            list = p.getList();
            model.addAttribute("model",list);
            model.addAttribute("total",p.getTotal());//总数
            model.addAttribute("pagesize",p.getPageSize());//页数
            model.addAttribute("pagenum",p.getPageNum());
        }else {
            list = new ArrayList<>();
            model.addAttribute("model",list);
            model.addAttribute("total",1);//总数
            model.addAttribute("pagesize",1);//页数
            model.addAttribute("pagenum",1);
        }
        return "www/bs/pjlb";
    }


    @RequestMapping("/save")
    @ResponseBody
    public String save( HttpServletRequest request,TCmsPj pojo){
        if(pojo.getId()!=null){
            pjService.update(pojo);
        }
        pojo.setIp(ControllerUtil.getRemoteAddress(request));
        return pjService.save(pojo);

    }


}
