package com.sooka.module.web.cms;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;
import com.sooka.common.utils.ControllerUtil;
import com.sooka.component.lucene.util.IndexObject;
import com.sooka.module.web.cms.service.PjService;
import com.sooka.mybatis.model.TCmsPj;
import org.apache.http.HttpResponse;
import org.apache.http.HttpStatus;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicHeader;
import org.apache.http.protocol.HTTP;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.text.SimpleDateFormat;
import java.util.*;

@Controller
@RequestMapping("/cms/pj/th")
public class PjControllerth {

	@Autowired
	private PjService pjService;

	@Value("${system.http.url12345}")
	private String url12345;
	@Value("${system.http.submitAppraise1}")
	private String submitAppraise1;

	/**
	 * 评价列表
	 * 
	 * @return
	 */
	@RequestMapping("/selectPj")
	public String selectLfgz(@RequestParam(value = "pageCurrent", defaultValue = "1") Integer pageNumber,
			@RequestParam(value = "pageSize", defaultValue = "10") Integer pageSize, TCmsPj pj,
			HttpServletRequest request, Model model) {
		PageInfo p = pjService.page(pageNumber, pageSize, pj);

		List<IndexObject> list;
		if (p != null) {
			list = p.getList();
			model.addAttribute("model", list);
			model.addAttribute("total", p.getTotal());// 总数
			model.addAttribute("pagesize", p.getPageSize());// 页数
			model.addAttribute("pagenum", p.getPageNum());
		} else {
			list = new ArrayList<>();
			model.addAttribute("model", list);
			model.addAttribute("total", 1);// 总数
			model.addAttribute("pagesize", 1);// 页数
			model.addAttribute("pagenum", 1);
		}
		return "www/th/pjlb";
	}

	@RequestMapping("/save")
	@ResponseBody
	public String save(HttpServletRequest request, TCmsPj pojo) {
		SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");// 设置日期格式
		String appraiseTime = df.format(new Date());
		int Score = Integer.parseInt(pojo.getScore());
		int Score1 = Score / 5;

		String submitAppraise2 = "";
		submitAppraise2 = url12345 + submitAppraise1;
		Map<String, Object> params = new HashMap<>();
		params.put("proWoCode", pojo.getDataId());// 工单编号
		params.put("appraisesatisfy", Score1);// 评价满意度
		params.put("appraiseTime", appraiseTime);// 评价时间
		JSONObject paramsjson = JSONObject.parseObject(JSONObject.toJSONString(params));
		System.out.println(paramsjson);
		String result_12345 = post(paramsjson, submitAppraise2);// 注册

		if (pojo.getId() != null) {
			pjService.update(pojo);
		}
		pojo.setIp(ControllerUtil.getRemoteAddress(request));
		return pjService.save(pojo);
	}

//  /**
//  * 12345内网
//  */
	public static String post(JSONObject json, String URL) {

		HttpClient client = new DefaultHttpClient();
		HttpPost post = new HttpPost(URL);
		post.setHeader("Content-Type", "application/json");
		post.addHeader("Authorization", "Basic YWRtaW46");
		String result = "";
		try {
			StringEntity s = new StringEntity(json.toString(), "utf-8");
			s.setContentEncoding(new BasicHeader(HTTP.CONTENT_TYPE, "application/json"));
			post.setEntity(s);
			// 发送请求
			HttpResponse httpResponse = client.execute(post);
			// 获取响应输入流
			InputStream inStream = httpResponse.getEntity().getContent();
			BufferedReader reader = new BufferedReader(new InputStreamReader(inStream, "utf-8"));
			StringBuilder strber = new StringBuilder();
			String line = null;
			while ((line = reader.readLine()) != null)
				strber.append(line + "\n");
			inStream.close();
			result = strber.toString();
			if (httpResponse.getStatusLine().getStatusCode() == HttpStatus.SC_OK) {
				System.out.println("请求服务器成功");
			} else {
				System.out.println("请求服务端失败");
			}
		} catch (Exception e) {
			System.out.println("请求异常");
			throw new RuntimeException(e);
		}
		return result;
	}
}
