package com.sooka.module.web.cms;
import com.google.common.collect.Maps;
import com.sooka.common.utils.ControllerUtil;
import com.sooka.common.utils.HttpRequest;
import com.sooka.common.utils.JsonUtil;
import com.sooka.common.utils.StrUtil;
import com.sooka.module.web.cms.service.PjService;
import com.sooka.module.web.cms.service.ZzxdService;
import com.sooka.mybatis.model.TCmsPj;
import com.sooka.mybatis.model.TCmsZzxd;

import org.apache.commons.codec.digest.DigestUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;

import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;

@Controller
@RequestMapping("/cms/zzxd")
public class ZzxdController {
    @Autowired
    private ZzxdService zzxdService;

    @Autowired
    private PjService pjService;

    @Value("${system.http.KXTDataPut}")
    private String KXTDataPut;
    @Value("${system.http.KXTDataGet}")
    private String KXTDataGet;
    /**
     * 自助下单
     * @return
     */
    @RequestMapping("/goToZzxd")
    public String goToZzxd(Integer type,Model model){
        model.addAttribute("type",type);
        return "www/bs/zzxd";
    }

    @RequestMapping("/goZzxd")
    public String goZzxd(Integer type,Model model){
        model.addAttribute("type",type);
        return "www/bs/zzxd_edit";
    }

    /**
     * 案例公开列表页
     * @return
     */
    @RequestMapping("/algk")
    public String algk(){
        return "www/bs/algk";
    }

    /**
     * 自助下单保存
     * @param request
     * @param pojo
     * @return
     */
    @RequestMapping("/save")
    @ResponseBody
    public String save( HttpServletRequest request,TCmsZzxd pojo){
      /*  UploadBean result = uploadComponent.uploadFile(multipartFile,request);
        pojo.setFile(result.getFileUrl());*/
        if(pojo.getId()!=null){
            zzxdService.update(pojo);
        }
        final String[] result = {null};

        HttpRequest http = new HttpRequest() {
            @Override
            public void complete(Response response) {

                if (response.state != 200) {
                    return;
                }
                result[0] = response.content;
            }
        };
     
        Map<String, Object> params = new HashMap<>();
        params.put("requestTopic", pojo.getTitle());//诉求标题
        params.put("requestContent", pojo.getContent());//诉求内容
        params.put("contactName", pojo.getName());//联系人姓名
        params.put("contactTel", pojo.getTelephone());//联系人电话
        params.put("certType","1");//证件类型(1身份证)
        params.put("certCode", pojo.getIDCrad());//证件号码
        params.put("contactAddress", pojo.getAddress());//联系地址
        String pubIntent="";
        if(pojo.getShowState().equals("1"))
        {
        	pubIntent="Y";
        }
        if(pojo.getShowState().equals("0"))
        {
        	pubIntent="N";
        }
        params.put("requestArea", pojo.getIncidentLocation());//事发地址
        params.put("requestFrom","多媒体");//来源渠道
        params.put("pubIntent",pubIntent);//公开意向
        System.out.println(params);
        //http.get(params, channelAddOrder);
        return zzxdService.save(pojo);

    }

    /**
     * 首页案例公开查询
     * @param page
     * @param pagesize
     * @param DataID
     * @return
     */
    @RequestMapping("/selectAlgk")
    @ResponseBody
    public String selectAlgk(Integer page,Integer pagesize,String DataID){

        final String[] result = {null};

        HttpRequest http = new HttpRequest() {
            @Override
            public void complete(Response response) {

                if (response.state != 200) {
                    return;
                }
                result[0] = response.content;
            }
        };

        Map<String, Object> params = new HashMap<>();
        params.put("TokenKey", "675c769ef7c154bc12a1565c259f03674d9ca69e");
        params.put("BeginTime", "");
        params.put("EndTime", "");
        params.put("Telephone", "");
        params.put("keyword", "");
        params.put("Source", 0);
        if(null != DataID ){
            params.put("DataID", DataID);
        }else{
            params.put("DataID", "");
        }
        params.put("TypeIndex", "");
        params.put("page", page);
        params.put("pagesize", pagesize);
        params.put("showState", 0);
        params.put("StateName", "已办结");
        http.get(params, KXTDataGet);
        return result[0];
    }


    /**
     * 点击案例公开标题进入诉求回复页面
     * @param request
     * @param dataid
     * @param model
     * @return
     */
    @RequestMapping("/sqhf")
    public String sqhf(HttpServletRequest request,String dataid,Model model){
        TCmsPj pj = new TCmsPj();
        pj.setIp(ControllerUtil.getRemoteAddress(request));
        pj.setDataId(dataid);
        pj= pjService.findByIp(pj);
        model.addAttribute("dataid",dataid);
        model.addAttribute("pj",pj);
        return "www/bs/sqhf";
    }

    /**
     * 首页进度查询
     * @param request
     * @param model
     * @param verifyCode
     * @param dataId
     * @param Telephone
     * @param page
     * @param pageSize
     * @return
     */
    @RequestMapping("/selectJd")
    public String selectJd(
            HttpServletRequest request,Model model,
            @RequestParam(value = "verifyCode",required = false) String verifyCode,
            @RequestParam(value = "dataId",required = false) String dataId,
            @RequestParam(value = "Telephone",required = false) String Telephone,
            @RequestParam(value = "page",required = false)Integer page,
            @RequestParam(value = "pageSize",required = false)Integer pageSize){
        /* 临时验证码验证 */
        if(StrUtil.isBlank(verifyCode)|| !ControllerUtil.validate(verifyCode,request)) {
            model.addAttribute("result","验证码输入错误");
            return "www/bs/jdcx";
        }else{
            final String[] result = {null};

            HttpRequest http = new HttpRequest() {
                @Override
                public void complete(Response response) {

                    if (response.state != 200) {
                        return;
                    }
                    result[0] = response.content;
                }
            };
        	
            Map<String, Object> params = new HashMap<>();
            params.put("proWoCode",dataId);//工单编号
            params.put("telNum",Telephone);//电话号码
            //http.get(params, KXTDataGet);
            model.addAttribute("result",result[0]);
            return "www/bs/jdcx";
        }
    }

    /**
     * 去进度查询页面
     * @return
     */
    @RequestMapping("/scheduleQuery")
    public String scheduleQuery(){
        return "www/bs/schedule_query";
    }

    /**
     * 进度查询页面的进度查询
     * @param request
     * @param verifyCode
     * @param dataId
     * @param Telephone
     * @param page
     * @param pageSize
     * @return
     */
    @RequestMapping("/selectScheduleQuery")
    @ResponseBody
    public String selectScheduleQuery(
            HttpServletRequest request,
            @RequestParam(value = "verifyCode",required = false) String verifyCode,
            @RequestParam(value = "dataId",required = false) String dataId,
            @RequestParam(value = "Telephone",required = false) String Telephone,
            @RequestParam(value = "page",required = false)Integer page,
            @RequestParam(value = "pageSize",required = false)Integer pageSize){
        /* 临时验证码验证 */
        if(StrUtil.isBlank(verifyCode)|| !ControllerUtil.validate(verifyCode,request)) {
            return  "验证码输入错误!";
        }else{
            final String[] result = {null};

            HttpRequest http = new HttpRequest() {
                @Override
                public void complete(Response response) {

                    if (response.state != 200) {
                        return;
                    }
                    result[0] = response.content;
                }
            };

            Map<String, Object> params = new HashMap<>();
            params.put("TokenKey", "675c769ef7c154bc12a1565c259f03674d9ca69e");
            params.put("BeginTime", "");
            params.put("EndTime", "");
            params.put("Telephone", Telephone);
            params.put("keyword", "");
            params.put("Source", 0);
            params.put("DataID", dataId);
            params.put("TypeIndex", "");
            params.put("page", page);
            params.put("pagesize", pageSize);
            params.put("showState", "");
            params.put("StateName", "");
            http.get(params, KXTDataGet);
            return result[0];
        }
    }

    /**
     * 去政务咨询页面
     * @return
     */
    @RequestMapping("/goZwzx")
    public String goZwzx(){
        return "www/bs/zwzx";
    }

    @RequestMapping("/goToZwzx")
    public String goToZwzx(){
        return "www/bs/zwzx_list";
    }


    @RequestMapping("/goJy")
    public String goJy(){
        return "www/bs/jy";
    }

    @RequestMapping("/goToJy")
    public String goToJy(){
        return "www/bs/jy_list";
    }

    @RequestMapping("/goJingYu")
    public String goJingYu(){
        return "www/bs/jingyu";
    }

    @RequestMapping("/goToJingYu")
    public String goToJingYu(){
        return "www/bs/jingyu_list";
    }

    @RequestMapping("/goJingYuTwo")
    public String goJingYuTwo(){
        return "www/bs/jingyutwo";
    }

    @RequestMapping("/goLj")
    public String goLj(){
        return "www/bs/lj";
    }

    @RequestMapping("/goToLj")
    public String goToLj(){
        return "www/bs/lj_list";
    }

    @RequestMapping("/goCbx")
    public String goCbx(){
        return "www/bs/cbx";
    }

    @RequestMapping("/goToCbx")
    public String goToCbx(){
        return "www/bs/cbx_list";
    }
}
