package com.sooka.module.web.cms;

import com.alibaba.fastjson.JSONObject;
import com.sooka.common.utils.ControllerUtil;
import com.sooka.common.utils.HttpRequest;
import com.sooka.common.utils.StrUtil;
import com.sooka.module.web.cms.service.PjService;
import com.sooka.module.web.cms.service.ZzxdService;
import com.sooka.mybatis.model.TCmsPj;
import com.sooka.mybatis.model.TCmsZzxd;
import org.apache.http.HttpResponse;
import org.apache.http.HttpStatus;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicHeader;
import org.apache.http.protocol.HTTP;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;
import sun.misc.BASE64Encoder;

import javax.servlet.http.HttpServletRequest;
import java.io.*;
import java.util.HashMap;
import java.util.Map;

@Controller
@RequestMapping("/cms/zzxd/th")
public class ZzxdControllerth {
	@Autowired
	private ZzxdService zzxdService;

	@Autowired
	private PjService pjService;

	@Value("${system.http.channelAddOrder}")
	private String channelAddOrder;
	@Value("${system.http.MyQueryOrder}")
	private String MyQueryOrder;
	@Value("${system.http.queryPublicOrde}")
	private String queryPublicOrde;
	@Value("${system.http.singleQueryOrder}")
	private String singleQueryOrder;
	@Value("${system.http.url12345}")
	private String url12345;
	@Value("${system.http.channelAddOrder1}")
	private String channelAddOrder1;
	@Value("${system.http.MyQueryOrder1}")
	private String MyQueryOrder1;
	@Value("${system.http.queryPublicOrde1}")
	private String queryPublicOrde1;
	@Value("${system.http.singleQueryOrder1}")
	private String singleQueryOrder1;
	@Value("${system.http.getOrderCount}")
	private String getOrderCount;

	//政务咨询iframe
	@RequestMapping("/goToZwzx")
	public String goToZwzx(Model model){
		String singleQueryOrder2 = url12345 + getOrderCount;
		Map<String, Object> params = new HashMap<>();
		params.put("callType", "1");// 诉求渠道
		JSONObject paramsjson = JSONObject.parseObject(JSONObject.toJSONString(params));
		String a = post(paramsjson, singleQueryOrder2);// 注册
		JSONObject resultJson = JSONObject.parseObject(a);
		model.addAttribute("orderCount", resultJson.get("orderCount"));
		model.addAttribute("endOrderCount", resultJson.get("endOrderCount"));
		model.addAttribute("publicOrderCount", resultJson.get("publicOrderCount"));
		return "www/bs/zwzx_list";
	}

	//政务咨询iframe
	@RequestMapping("/login")
	public String login(){
		return "www/th/login";
	}
	//政务咨询iframe
	@RequestMapping("/lost")
	public String lost(){
		return "www/th/lost";
	}

	//政务咨询iframe
	@RequestMapping("/goJingYu")
	public String goJingYu(){
		return "www/bs/jingyu";
	}

	//政务咨询iframe
	@RequestMapping("/goZwzx")
	public String goZwzx(){
		return "www/bs/zwzx";
	}

	/**
	 * 自助下单
	 *
	 * @return
	 */
	@RequestMapping("/goToZzxd")
	public String goToZzxd(Integer type, Model model) {
		model.addAttribute("type", type);
		return "www/th/zzxd";
	}

	@RequestMapping("/goZzxd")
	public String goZzxd(Integer type, Model model) {
		model.addAttribute("type", type);
		String singleQueryOrder2 = url12345 + getOrderCount;
		Map<String, Object> params = new HashMap<>();
		params.put("callType", "1");// 诉求渠道
		JSONObject paramsjson = JSONObject.parseObject(JSONObject.toJSONString(params));
		String a = post(paramsjson, singleQueryOrder2);// 注册
		JSONObject resultJson = JSONObject.parseObject(a);
		model.addAttribute("orderCount", resultJson.get("orderCount"));
		model.addAttribute("endOrderCount", resultJson.get("endOrderCount"));
		model.addAttribute("publicOrderCount", resultJson.get("publicOrderCount"));
		return "www/th/zzxd_edit";
	}

	/**
	 * 案例公开列表页
	 */
	@RequestMapping("/algk")
	public String algk() {
		return "www/th/algk";
	}

	/**
	 * 点击案例公开标题进入诉求回复页面
	 *
	 * @param request
	 * @param dataid
	 * @param model
	 * @return
	 */
	@RequestMapping("/sqhf")
	public String sqhf(HttpServletRequest request, String dataid, Model model) {
		TCmsPj pj = new TCmsPj();
		pj.setIp(ControllerUtil.getRemoteAddress(request));
		pj.setDataId(dataid);
		pj = pjService.findByIp(pj);
		model.addAttribute("dataid", dataid);
		model.addAttribute("pj", pj);
		return "www/th/sqhf";
	}

	/**
	 * 首页进度查询
	 *
	 * @param request
	 * @param model
	 * @param verifyCode
	 * @param dataId
	 * @param Telephone
	 * @param page
	 * @param pageSize
	 * @return
	 */
	@RequestMapping("/selectJd")
	public String selectJd(HttpServletRequest request, Model model, @RequestParam(value = "verifyCode", required = false) String verifyCode, @RequestParam(value = "dataId", required = false) String dataId,
			@RequestParam(value = "Telephone", required = false) String Telephone, @RequestParam(value = "page", required = false) Integer page, @RequestParam(value = "pageSize", required = false) Integer pageSize) {
		/* 临时验证码验证 */
		if (StrUtil.isBlank(verifyCode) || !ControllerUtil.validate(verifyCode, request)) {
			model.addAttribute("result", "验证码输入错误");
			return "www/th/jdcx";
		} else {
			final String[] result = { null };

			HttpRequest http = new HttpRequest() {
				@Override
				public void complete(Response response) {

					if (response.state != 200) {
						return;
					}
					result[0] = response.content;
				}
			};

			String singleQueryOrder2 = url12345 + singleQueryOrder1;

			Map<String, Object> params = new HashMap<>();
			params.put("proWoCode", dataId);// 工单编号
//          params.put("telNum",Telephone);//电话号码
			JSONObject paramsjson = JSONObject.parseObject(JSONObject.toJSONString(params));
			System.out.println(paramsjson);
			String a = post(paramsjson, singleQueryOrder2);// 注册
			model.addAttribute("result", a);
			return "www/th/jdcx";
		}
	}

	/**
	 * 去进度查询页面
	 *
	 * @return
	 */
	@RequestMapping("/scheduleQuery")
	public String scheduleQuery() {
		return "www/th/schedule_query";
	}

//    /**
//     * 上传文件方法
//     */
	@PostMapping(value = "/upload")
	@ResponseBody
	public JSONObject upload(@RequestParam("file") MultipartFile file, Model model) {
		JSONObject jsonObject = new JSONObject();
		if (file.isEmpty()) {
			jsonObject.put("message", "上传失败，文件不能为空！");
			return jsonObject;
		}
		// 创建输入输出流
		InputStream inputStream = null;
		OutputStream os = null;
		try {
			byte[] bytes = file.getBytes();
			String fileName = file.getOriginalFilename();
			long times = System.currentTimeMillis();
			String time = String.valueOf(times);
			String str1 = fileName.substring(0, fileName.indexOf("."));
			String str2 = fileName.substring(str1.length() + 1, fileName.length());
			fileName = time + '.' + str2;// 文件名(时间戳)
			long fileSize = file.getSize();
			long size = 20 * 1024 * 1024;
			long maxsize = 100 * 1024 * 1024;// (附件最大100M)
			if (fileSize > maxsize) {
				jsonObject.put("message", "上传附件不能超过100M！");
				return jsonObject;
			}
			String filePath = "D:/tomcat-9/webapps/ROOT/WEB-INF/classes/static/uploadfile";
			int len;
			byte[] bs = new byte[1024];
			// 输出的文件流保存到本地文件
			File tempFile = new File(filePath);
			if (!tempFile.exists()) {
				tempFile.mkdirs();
			}
			os = new FileOutputStream(tempFile.getPath() + File.separator + fileName);
			inputStream = file.getInputStream();
			// 开始读取
			while ((len = inputStream.read(bs)) != -1) {
				os.write(bs, 0, len);
			}
			String fileUrl = filePath + "/" + fileName;
			String fileBytes = new BASE64Encoder().encode(bytes);
			// 大于20M 传fileUrl)
			if (fileSize > size) {
				jsonObject.put("fileUrl", fileUrl);
			} else {
				// 文件小于20M 传fileBytes
				jsonObject.put("fileBytes", fileBytes);
			}
			jsonObject.put("fileName", fileName);
			jsonObject.put("message", "上传成功");
		} catch (Exception e) {
			e.printStackTrace();
			jsonObject.put("message", "上传失败，文件不能为空！");
		} finally {
			// 无论成功与否，都有关闭输入输出流
			if (inputStream != null) {
				try {
					inputStream.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
			if (os != null) {
				try {
					os.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		}
		return jsonObject;
	}

	/**
	 * 自助下单保存
	 *
	 * @param request
	 * @param pojo
	 * @return
	 */
	@RequestMapping("/save12345")
	@ResponseBody
	public String save12345(HttpServletRequest request, TCmsZzxd pojo) {
		if (pojo.getId() != null) {
			zzxdService.update(pojo);
		}
		final String[] result = { null };

		HttpRequest http = new HttpRequest() {
			@Override
			public void complete(Response response) {

				if (response.state != 200) {
					return;
				}
				result[0] = response.content;
			}
		};

		String channelAddOrder2 = "";
		channelAddOrder2 = url12345 + channelAddOrder1;

		Map<String, Object> params = new HashMap<>();
		params.put("requestTopic", pojo.getTitle());// 诉求标题
		params.put("requestContent", pojo.getContent());// 诉求内容
		params.put("contactName", pojo.getName());// 联系人姓名
		params.put("contactTel", pojo.getTelephone());// 联系人电话
		params.put("certType", "1");// 证件类型(1身份证)
		params.put("certCode", pojo.getIDCrad());// 证件号码
		params.put("contactAddress", pojo.getAddress());// 联系地址
		params.put("orderType",pojo.getTypeIndex());
		String pubIntent = "";
		if (pojo.getShowState().equals("1")) {
			pubIntent = "y";
		}
		if (pojo.getShowState().equals("0")) {
			pubIntent = "n";
		}
		params.put("requestArea", pojo.getIncidentLocation());// 事发地址
		params.put("requestFrom", "1");// 来源渠道(12345网站)
		params.put("pubIntent", pubIntent);// 公开意向(y—公开 n—不公开)

		if (!pojo.getFileBytes().equals("")) {
			params.put("fileName", pojo.getFileName());//
			params.put("fileBytes", pojo.getFileBytes());// 附件数据流，需要转成Base64编码格式
			params.put("type", 1);//
		}
		if (!pojo.getFileUrl().equals("")) {
			params.put("fileName", pojo.getFileName());//
			params.put("fileUrl", pojo.getFileUrl());// 文件url
			params.put("type", 2);//
		}
		params.put("userId", pojo.getUserId());//
		System.out.println(pojo.getUserId()+"============================");
		JSONObject paramsjson = JSONObject.parseObject(JSONObject.toJSONString(params));

		pojo.setfileBytes("");// 附件数据流(置空)
		zzxdService.save(pojo);// 保存至本地数据库

		String result_12345 = post(paramsjson, channelAddOrder2);// 注册
		System.out.println(result_12345);
		return result_12345;

	}

	/**
	 * 进度查询页面的进度查询
	 *
	 * @param request
	 * @param verifyCode
	 * @param dataId
	 * @param Telephone
	 * @param page
	 * @param pageSize
	 * @return
	 */
	@RequestMapping("/selectScheduleQuery12345")
	@ResponseBody
	public String selectScheduleQuery12345(HttpServletRequest request,
			@RequestParam(value = "verifyCode", required = false) String verifyCode,
			@RequestParam(value = "dataId", required = false) String dataId,
			@RequestParam(value = "Telephone", required = false) String Telephone,
			@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "pageSize", required = false) Integer pageSize) {
		/* 临时验证码验证 */
		if (StrUtil.isBlank(verifyCode) || !ControllerUtil.validate(verifyCode, request)) {
			return "验证码输入错误!";
		} else {
			final String[] result = { null };

			HttpRequest http = new HttpRequest() {
				@Override
				public void complete(Response response) {

					if (response.state != 200) {
						return;
					}
					result[0] = response.content;
				}
			};

			String MyQueryOrder2 = "";
			MyQueryOrder2 = url12345 + MyQueryOrder1;

			Map<String, Object> params = new HashMap<>();
			params.put("proWoCode", dataId);// 工单编号
			params.put("telNum", Telephone);
			params.put("startNum", 0);
			params.put("endNum", 15);
			JSONObject paramsjson = JSONObject.parseObject(JSONObject.toJSONString(params));
			System.out.println(paramsjson);
			result[0] = post(paramsjson, MyQueryOrder2);// 注册
			return result[0];
		}
	}

	/**
	 * 首页案例公开查询
	 *
	 * @param page
	 * @param pagesize
	 * @param DataID
	 * @return
	 */
	@RequestMapping("/selectAlgk12345")
	@ResponseBody
	public String selectAlgk12345(Integer page, Integer pagesize, String DataID) {
		final String[] result = { null };
		HttpRequest http = new HttpRequest() {
			@Override
			public void complete(Response response) {
				if (response.state != 200) {
					return;
				}
				result[0] = response.content;
			}
		};

		String queryPublicOrde2 = "";
		queryPublicOrde2 = url12345 + queryPublicOrde1;

		Map<String, Object> params = new HashMap<>();

		params.put("proWoCode", DataID);// 工单编号
		params.put("startNum", page);// 开始条数
		params.put("endNum", pagesize);// 结束条数
		// http.get(params, queryPublicOrde);
		JSONObject paramsjson = JSONObject.parseObject(JSONObject.toJSONString(params));
		result[0] = post(paramsjson, queryPublicOrde2);// 注册
		return result[0];
	}

	@RequestMapping("/selectAlgk")
	@ResponseBody
	public String selectAlgk(Integer page,Integer pagesize,String DataID){
		final String[] result = { null };
		HttpRequest http = new HttpRequest() {
			@Override
			public void complete(Response response) {
				if (response.state != 200) {
					return;
				}
				result[0] = response.content;
			}
		};
		String queryPublicOrde2 = url12345 + queryPublicOrde1;
		Map<String, Object> params = new HashMap<>();
		params.put("proWoCode", DataID);// 工单编号
		params.put("startNum", 0);// 开始条数
		params.put("endNum", 10);// 结束条数
		// http.get(params, queryPublicOrde);
		JSONObject paramsjson = JSONObject.parseObject(JSONObject.toJSONString(params));
		result[0] = post(paramsjson, queryPublicOrde2);// 注册
		return result[0];
	}

	/**
	 * 单个工单查询接口查询
	 *
	 * @param page
	 * @return
	 */
	@RequestMapping("/singleQueryOrder12345")
	@ResponseBody
	public String singleQueryOrder12345(HttpServletRequest request,
			@RequestParam(value = "verifyCode", required = false) String verifyCode,
			@RequestParam(value = "dataId", required = false) String dataId,
			@RequestParam(value = "Telephone", required = false) String Telephone,
			@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "pageSize", required = false) Integer pageSize) {

		final String[] result = { null };

		HttpRequest http = new HttpRequest() {
			@Override
			public void complete(Response response) {

				if (response.state != 200) {
					return;
				}
				result[0] = response.content;
			}
		};
		String singleQueryOrder2 = "";
		singleQueryOrder2 = url12345 + singleQueryOrder1;
		Map<String, Object> params = new HashMap<>();
		params.put("proWoCode", dataId);// 工单编号
      	params.put("telNum",Telephone);//电话号码
		JSONObject paramsjson = JSONObject.parseObject(JSONObject.toJSONString(params));
		System.out.println("singleQueryOrder12345参数:"+paramsjson);
		result[0] = post(paramsjson, singleQueryOrder2);// 注册
		System.out.println("singleQueryOrder12345返回结果：" + result[0]);

		JSONObject json = (JSONObject) JSONObject.parse(result[0]);
		json.remove("certCode");
		json.remove("contactName");
		json.remove("telNum");

		return json.toString();
	}

//  /**
//  * 12345内网
//  */
	public static String post(JSONObject json, String URL) {

		HttpClient client = new DefaultHttpClient();
		HttpPost post = new HttpPost(URL);
		post.setHeader("Content-Type", "application/json");
		post.addHeader("Authorization", "Basic YWRtaW46");
		String result = "";
		try {
			StringEntity s = new StringEntity(json.toString(), "utf-8");
			s.setContentEncoding(new BasicHeader(HTTP.CONTENT_TYPE, "application/json"));
			post.setEntity(s);
			// 发送请求
			HttpResponse httpResponse = client.execute(post);
			// 获取响应输入流
			InputStream inStream = httpResponse.getEntity().getContent();
			BufferedReader reader = new BufferedReader(new InputStreamReader(inStream, "utf-8"));
			StringBuilder strber = new StringBuilder();
			String line = null;
			while ((line = reader.readLine()) != null)
				strber.append(line + "\n");
			inStream.close();
			result = strber.toString();
			if (httpResponse.getStatusLine().getStatusCode() == HttpStatus.SC_OK) {
				System.out.println("请求服务器成功");
			} else {
				System.out.println("请求服务端失败");
			}
		} catch (Exception e) {
			System.out.println("请求异常");
			throw new RuntimeException(e);
		}
		return result;
	}

}
