package com.sooka.module.web.cms.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.sooka.common.utils.JsonUtil;
import com.sooka.module.web.cms.service.PjService;
import com.sooka.module.web.cms.service.ZzxdService;
import com.sooka.mybatis.mapper.TCmsPjMapper;
import com.sooka.mybatis.model.TCmsPj;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class PjServiceImpl implements PjService {

    @Autowired
    private TCmsPjMapper pfMapper;



    @Override
    public String save(TCmsPj pojo) {
        pojo.setInputdate(new Date());
        if(pfMapper.insertSelective(pojo)>0){
            return JsonUtil.toSUCCESS("保存成功!","lbt-tab",true);
        }
        return JsonUtil.toERROR("保存失败!");
    }

    @Override
    public String update(TCmsPj pojo) {

        if(pfMapper.updateByPrimaryKeySelective(pojo)>0){
            return JsonUtil.toSUCCESS("操作成功!","lbt-tab",true);
        }
        return JsonUtil.toERROR("操作失败!");
    }



    @Override
    public String delete(Integer[] ids) {
        if(ids!=null&&ids.length>0){
            for(Integer id:ids){
                pfMapper.deleteByPrimaryKey(id);
                return JsonUtil.toSUCCESS("删除成功!","lbt-tab",true);
            }
        }
        return JsonUtil.toERROR("删除失败!");
    }

    @Override
    public TCmsPj findById(Integer id) {
        return pfMapper.selectByPrimaryKey(id);
    }

    @Override
    public TCmsPj findByIp(TCmsPj pojo) {
        return pfMapper.findByIp(pojo);
    }

    @Override
    public List<TCmsPj> findList(TCmsPj pojo) {
        return pfMapper.select(pojo);
    }

    @Override
    public List<TCmsPj> findAll() {
        return pfMapper.selectAll();
    }

    @Override
    public PageInfo<TCmsPj> page(Integer pageNumber, Integer pageSize, TCmsPj pojo) {
        PageHelper.startPage(pageNumber,pageSize);
        return new PageInfo(pfMapper.selectByCondition(pojo));
    }

    @Override
    public List<TCmsPj> selectLfgz( TCmsPj pojo) {
        return pfMapper.selectByCondition(pojo);
    }

    @Override
    public PageInfo<TCmsPj> page(Integer pageNumber, Integer pageSize) {
        PageHelper.startPage(pageNumber,pageSize);
        return new PageInfo<>(findAll());
    }


}
