package com.sooka.module.web.cms.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.sooka.common.utils.JsonUtil;
import com.sooka.module.web.cms.service.ZzxdService;
import com.sooka.mybatis.mapper.TCmsZzxdMapper;
import com.sooka.mybatis.model.TCmsZzxd;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class ZzxdServiceImpl implements ZzxdService {

    @Autowired
    private TCmsZzxdMapper zzxdMapper;



    @Override
    public String save(TCmsZzxd pojo) {
        if(zzxdMapper.insertSelective(pojo)>0){
            return JsonUtil.toSUCCESS("保存成功!","lbt-tab",true);
        }
        return JsonUtil.toERROR("保存失败!");
    }

    @Override
    public String update(TCmsZzxd pojo) {
        if(zzxdMapper.updateByPrimaryKeySelective(pojo)>0){
            return JsonUtil.toSUCCESS("操作成功!","lbt-tab",true);
        }
        return JsonUtil.toERROR("操作失败!");
    }

    @Override
    public String updateResultNotification(TCmsZzxd xf){

        if(zzxdMapper.updateResultNotification(xf)>0){
            return JsonUtil.toSUCCESS("操作成功!","lbt-tab",true);
        }
        return JsonUtil.toERROR("操作失败!");
    }

    @Override
    public String delete(Integer[] ids) {
        if(ids!=null&&ids.length>0){
            for(Integer id:ids){
                zzxdMapper.deleteByPrimaryKey(id);
                return JsonUtil.toSUCCESS("删除成功!","lbt-tab",true);
            }
        }
        return JsonUtil.toERROR("删除失败!");
    }

    @Override
    public TCmsZzxd findById(Integer id) {
        return zzxdMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<TCmsZzxd> findList(TCmsZzxd pojo) {
        return zzxdMapper.select(pojo);
    }

    @Override
    public List<TCmsZzxd> findAll() {
        return zzxdMapper.selectAll();
    }

    @Override
    public PageInfo<TCmsZzxd> page(Integer pageNumber, Integer pageSize, TCmsZzxd pojo) {
        PageHelper.startPage(pageNumber,pageSize);
        return new PageInfo(zzxdMapper.selectByCondition(pojo));
    }



    @Override
    public PageInfo<TCmsZzxd> page(Integer pageNumber, Integer pageSize) {
        PageHelper.startPage(pageNumber,pageSize);
        return new PageInfo<>(findAll());
    }

    @Override
    public  List<TCmsZzxd> selectXfxx(TCmsZzxd xf) {
        return this.zzxdMapper.selectXfxx(xf);
    }

    @Override
    public  List<TCmsZzxd> exportExcel(String startDate,String endDate) {
        return this.zzxdMapper.exportExcel(startDate,endDate);
    }
}
