package com.sooka.module.web.cms.service.impl;


import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.sooka.common.exception.CmsException;
import com.sooka.common.utils.CmsUtil;
import com.sooka.common.utils.JsonUtil;
import com.sooka.module.web.cms.service.DbtService;
import com.sooka.module.web.cms.vo.TCmsContentDbtVo;
import com.sooka.mybatis.mapper.TCmsContentDbtMapper;
import com.sooka.mybatis.model.TCmsCategory;
import com.sooka.mybatis.model.TCmsContentDbt;
import com.sooka.mybatis.model.TCmsModel;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Description: 代表团实现类
 *
 *
 * @create 2019-6-26
 **/
@Service
public class dbtServiceImpl implements DbtService {

    @Autowired
    private TCmsContentDbtMapper tCmsContentDbtMapper;



    @Override
    public String save(TCmsContentDbt pojo) {
        if (tCmsContentDbtMapper.insertSelective(pojo)>0) {
            return JsonUtil.toSUCCESS("操作成功","ad-tab",true);
        }
        return  JsonUtil.toERROR("操作失败");
    }

    @Override
    public String update(TCmsContentDbt pojo) {

        if (tCmsContentDbtMapper.updateByPrimaryKeySelective(pojo)>0) {
            return JsonUtil.toSUCCESS("操作成功","ad-tab",false);
        }
        return  JsonUtil.toERROR("操作失败");
    }

    @Override
    public String delete(Integer[] ids) {

        if(ids!=null){
            for(int dbtId :ids) {
                tCmsContentDbtMapper.deleteByPrimaryKey(dbtId);
            }
        }
        return JsonUtil.toSUCCESS("操作成功","ad-tab",false);
    }

    @Override
    public TCmsContentDbt findById(Integer id) {
        return tCmsContentDbtMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<TCmsContentDbt> findList(TCmsContentDbt pojo) {
        return tCmsContentDbtMapper.select(pojo);
    }

    @Override
    public List<TCmsContentDbt> findAll() {
        return tCmsContentDbtMapper.selectAll();
    }

    @Override
    public PageInfo<TCmsContentDbt> page(Integer pageNumber, Integer pageSize, TCmsContentDbt pojo) {
        PageHelper.startPage(pageNumber,pageSize);
       // return new PageInfo<>(this.findList(pojo));
       return new PageInfo(tCmsContentDbtMapper.selectByAll(pojo));
    }

    @Override
    public PageInfo<TCmsContentDbt> page(Integer pageNumber, Integer pageSize) {
        PageHelper.startPage(pageNumber,pageSize);
        return new PageInfo<>(this.findAll());
    }
    
    @Override
    public PageInfo<TCmsContentDbt> page(Integer pageNumber, Integer pageSize, TCmsContentDbtVo pojo) {
        PageHelper.startPage(pageNumber,pageSize);
        TCmsContentDbt tCmsContentDbt = new TCmsContentDbt();
        tCmsContentDbt.setDbtName(pojo.getDbtName());
        return new PageInfo<>(this.findList(tCmsContentDbt));
    }
    
    @Override
    public PageInfo<Map> selectByTCmsContentDbtAll() {
        return new PageInfo<>(tCmsContentDbtMapper.selectByTCmsContentDbtAll());
    }
}
