package com.sooka.module.web.cms.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.sooka.common.utils.JsonUtil;
import com.sooka.module.web.cms.service.DbtUserService;
import com.sooka.mybatis.mapper.TCmsContentDbtUserMapper;
import com.sooka.mybatis.model.TCmsContentDbtUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Description: 代表团成员实现类
 *
 *
 * @create 2019-6-26
 **/
@Service
public class dbtUserServiceImpl implements DbtUserService {

    @Autowired
    private TCmsContentDbtUserMapper tCmsContentDbtUserMapper;

    @Override
    public String save(TCmsContentDbtUser pojo) {
        if (tCmsContentDbtUserMapper.insertSelective(pojo)>0) {
            return JsonUtil.toSUCCESS("操作成功","ad-tab",true);
        }
        return  JsonUtil.toERROR("操作失败");
    }

    @Override
    public String update(TCmsContentDbtUser pojo) {
        if (tCmsContentDbtUserMapper.updateByPrimaryKeySelective(pojo)>0) {
            return JsonUtil.toSUCCESS("操作成功","ad-tab",false);
        }
        return  JsonUtil.toERROR("操作失败");
    }

    @Override
    public String delete(Integer[] ids) {
        if(ids!=null){
            for(int dbtId :ids) {
                tCmsContentDbtUserMapper.deleteByPrimaryKey(dbtId);
            }
        }
        return JsonUtil.toSUCCESS("操作成功","ad-tab",false);
    }

    @Override
    public TCmsContentDbtUser findById(Integer id) {
        return tCmsContentDbtUserMapper.selectByPrimaryKey(id);
    }


    @Override
    public List<TCmsContentDbtUser> findList(TCmsContentDbtUser pojo) {
        return tCmsContentDbtUserMapper.select(pojo);
    }

    @Override
    public List<TCmsContentDbtUser> findAll() {
        return tCmsContentDbtUserMapper.selectAll();
    }

    @Override
    public PageInfo<TCmsContentDbtUser> page(Integer pageNumber, Integer pageSize, TCmsContentDbtUser pojo) {
        PageHelper.startPage(pageNumber,pageSize);
        return new PageInfo(tCmsContentDbtUserMapper.selectByDbtType(pojo));
    }
    @Override
    public PageInfo<TCmsContentDbtUser> pageSer(Integer pageNumber, Integer pageSize, String keyword) {
        PageHelper.startPage(pageNumber,pageSize);
        return new PageInfo(tCmsContentDbtUserMapper.dbtUserListForSeachs(keyword));
    }

    @Override
    public PageInfo<TCmsContentDbtUser> page(Integer pageNumber, Integer pageSize) {
        PageHelper.startPage(pageNumber,pageSize);
        return new PageInfo<>(this.findAll());
    }

    @Override
    public PageInfo<Map> selectByTCmsContentDbtUserAll(Integer id) {
        return new PageInfo<>(tCmsContentDbtUserMapper.selectByTCmsContentDbtUserAll(id));
    }
    @Override
    public PageInfo<Map> dbtUserListForSeach(String keyword) {
        return new PageInfo<>(tCmsContentDbtUserMapper.dbtUserListForSeach(keyword));
    }

    @Override
    public  PageInfo<Map> dbtUserListA(Integer id) {
        return new PageInfo<>(tCmsContentDbtUserMapper.dbtUserListA(id));

    }

}
